Functions
IT_Management
Peripheral Driver » LL Driver » DUAL_TIMER » Functions

## Functions
__STATIC_INLINE void | ll_dual_timer_enable_it (dual_timer_regs_t *DUAL_TIMERx)
| Enable dual_timer interrupt. More...
__STATIC_INLINE void | ll_dual_timer_disable_it (dual_timer_regs_t *DUAL_TIMERx)
| Disable dual_timer interrput. More...
__STATIC_INLINE uint32_t | ll_dual_timer_is_enabled_it (dual_timer_regs_t *DUAL_TIMERx)
| Indicate whether the dual_timer interrput is enabled. More...
__STATIC_INLINE void | ll_dual_timer_enable_act_start_it (dual_timer_regs_t *DUAL_TIMERx)
| Enable dual_timer action interrupt when timer start. More...
__STATIC_INLINE void | ll_dual_timer_disable_act_start_it (dual_timer_regs_t *DUAL_TIMERx)
| Disable dual_timer action interrupt when timer start. More...
__STATIC_INLINE uint32_t | ll_dual_timer_is_enabled_act_start_it (dual_timer_regs_t *DUAL_TIMERx)
| Indicate whether the dual_timer action interrupt when timer start is enabled. More...
__STATIC_INLINE void | ll_dual_timer_enable_ioa_act_c1_it (dual_timer_regs_t *DUAL_TIMERx)
| Enable dual_timer action interrupt when timer value meets to COUNT_A1IO. More...
__STATIC_INLINE void | ll_dual_timer_disable_ioa_act_c1_it (dual_timer_regs_t *DUAL_TIMERx)
| Disable dual_timer action interrupt when timer value meets to COUNT_A1IO. More...
__STATIC_INLINE uint32_t | ll_dual_timer_is_enabled_ioa_act_c1_it (dual_timer_regs_t *DUAL_TIMERx)
| Indicate whether the dual_timer action interrupt when timer value meets to COUNT_A1IO is enabled. More...
__STATIC_INLINE void | ll_dual_timer_enable_ioa_act_c2_it (dual_timer_regs_t *DUAL_TIMERx)
| Enable dual_timer action interrupt when timer value meets to COUNT_A2IO. More...
__STATIC_INLINE void | ll_dual_timer_disable_ioa_act_c2_it (dual_timer_regs_t *DUAL_TIMERx)
| Disable dual_timer action interrupt when timer value meets to COUNT_A2IO. More...
__STATIC_INLINE uint32_t | ll_dual_timer_is_enabled_ioa_act_c2_it (dual_timer_regs_t *DUAL_TIMERx)
| Indicate whether the dual_timer action interrupt when timer value meets to COUNT_A2IO is enabled. More...
__STATIC_INLINE void | ll_dual_timer_enable_act_period_it (dual_timer_regs_t *DUAL_TIMERx)
| Enable dual_timer action interrupt when timer value meets to 0. More...
__STATIC_INLINE void | ll_dual_timer_disable_act_period_it (dual_timer_regs_t *DUAL_TIMERx)
| Disable dual_timer action interrupt when timer value meets to 0. More...
__STATIC_INLINE uint32_t | ll_dual_timer_is_enabled_act_period_it (dual_timer_regs_t *DUAL_TIMERx)
| Indicate whether the dual_timer action interrupt when timer value meets to 0 is enabled. More...
__STATIC_INLINE void | ll_dual_timer_enable_act_stop_it (dual_timer_regs_t *DUAL_TIMERx)
| Enable dual_timer action interrupt when timer stop. More...
__STATIC_INLINE void | ll_dual_timer_disable_act_stop_it (dual_timer_regs_t *DUAL_TIMERx)
| Disable dual_timer action interrupt when timer stop. More...
__STATIC_INLINE uint32_t | ll_dual_timer_is_enabled_act_stop_it (dual_timer_regs_t *DUAL_TIMERx)
| Indicate whether the dual_timer action interrupt when timer stop. More...
__STATIC_INLINE void | ll_dual_timer_enable_iob_act_c1_it (dual_timer_regs_t *DUAL_TIMERx)
| Enable dual_timer action interrupt when timer value meets to COUNT_B1IO. More...
__STATIC_INLINE void | ll_dual_timer_disable_iob_act_c1_it (dual_timer_regs_t *DUAL_TIMERx)
| Disable dual_timer action interrupt when timer value meets to COUNT_B1IO. More...
__STATIC_INLINE uint32_t | ll_dual_timer_is_enabled_iob_act_c1_it (dual_timer_regs_t *DUAL_TIMERx)
| Indicate whether the dual_timer action interrupt when timer value meets to COUNT_B1IO is enabled. More...
__STATIC_INLINE void | ll_dual_timer_enable_iob_act_c2_it (dual_timer_regs_t *DUAL_TIMERx)
| Enable dual_timer action interrupt when timer value meets to COUNT_B2IO. More...
__STATIC_INLINE void | ll_dual_timer_disable_iob_act_c2_it (dual_timer_regs_t *DUAL_TIMERx)
| Disable dual_timer action interrupt when timer value meets to COUNT_B2IO. More...
__STATIC_INLINE uint32_t | ll_dual_timer_is_enabled_iob_act_c2_it (dual_timer_regs_t *DUAL_TIMERx)
| Indicate whether the dual_timer action interrupt when timer value meets to COUNT_B2IO is enabled. More...
__STATIC_INLINE void | ll_dual_timer_enable_ioc_act_c1_it (dual_timer_regs_t *DUAL_TIMERx)
| Enable dual_timer action interrupt when timer value meets to COUNT_C1IO. More...
__STATIC_INLINE void | ll_dual_timer_disable_ioc_act_c1_it (dual_timer_regs_t *DUAL_TIMERx)
| Disable dual_timer action interrupt when timer value meets to COUNT_C1IO. More...
__STATIC_INLINE uint32_t | ll_dual_timer_is_enabled_ioc_act_c1_it (dual_timer_regs_t *DUAL_TIMERx)
| Indicate whether the dual_timer action interrupt when timer value meets to COUNT_C1IO is enabled. More...
__STATIC_INLINE void | ll_dual_timer_enable_ioc_act_c2_it (dual_timer_regs_t *DUAL_TIMERx)
| Enable dual_timer action interrupt when timer value meets to COUNT_C2IO. More...
__STATIC_INLINE void | ll_dual_timer_disable_ioc_act_c2_it (dual_timer_regs_t *DUAL_TIMERx)
| Disable dual_timer action interrupt when timer value meets to COUNT_C2IO. More...
__STATIC_INLINE uint32_t | ll_dual_timer_is_enabled_ioc_act_c2_it (dual_timer_regs_t *DUAL_TIMERx)
| Indicate whether the dual_timer action interrupt when timer value meets to COUNT_C2IO is enabled. More...
__STATIC_INLINE void | ll_dual_timer_enable_ble_pulse1_it (dual_timer_regs_t *DUAL_TIMERx)
| Enable dual_timer interrupt when timer value meets to BLE_COUNT1. More...
__STATIC_INLINE void | ll_dual_timer_disable_ble_pulse1_it (dual_timer_regs_t *DUAL_TIMERx)
| Disable dual_timer interrupt when timer value meets to BLE_COUNT1. More...
__STATIC_INLINE uint32_t | ll_dual_timer_is_enabled_ble_pulse1_it (dual_timer_regs_t *DUAL_TIMERx)
| Indicate whether the dual_timer interrupt when timer value meets to BLE_COUNT1 is enabled. More...
__STATIC_INLINE void | ll_dual_timer_enable_ble_pulse2_it (dual_timer_regs_t *DUAL_TIMERx)
| Enable dual_timer interrupt when timer value meets to BLE_COUNT2. More...
__STATIC_INLINE void | ll_dual_timer_disable_ble_pulse2_it (dual_timer_regs_t *DUAL_TIMERx)
| Disable dual_timer interrupt when timer value meets to BLE_COUNT2. More...
__STATIC_INLINE uint32_t | ll_dual_timer_is_enabled_ble_pulse2_it (dual_timer_regs_t *DUAL_TIMERx)
| Indicate whether the dual_timer interrupt when timer value meets to BLE_COUNT2 is enabled. More...

## Detailed Description

## Function Documentation

## ◆ ll_dual_timer_disable_act_period_it()

__STATIC_INLINE void ll_dual_timer_disable_act_period_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Disable dual_timer action interrupt when timer value meets to 0.

Register|BitsName --------|-------- CTRL | ACT_PERIOD_INTEN

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 1926 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_disable_act_start_it()

__STATIC_INLINE void ll_dual_timer_disable_act_start_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Disable dual_timer action interrupt when timer start.

Register|BitsName --------|-------- CTRL | ACT_START_INTEN

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 1791 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_disable_act_stop_it()

__STATIC_INLINE void ll_dual_timer_disable_act_stop_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Disable dual_timer action interrupt when timer stop.

Register|BitsName --------|-------- CTRL | ACT_STOP_INTEN

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 1971 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_disable_ble_pulse1_it()

__STATIC_INLINE void ll_dual_timer_disable_ble_pulse1_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Disable dual_timer interrupt when timer value meets to BLE_COUNT1.

Register|BitsName --------|-------- CTRL | BLEPULSE1_INTEN

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 2196 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_disable_ble_pulse2_it()

__STATIC_INLINE void ll_dual_timer_disable_ble_pulse2_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Disable dual_timer interrupt when timer value meets to BLE_COUNT2.

Register|BitsName --------|-------- CTRL | BLEPULSE2_INTEN

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 2241 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_disable_ioa_act_c1_it()

__STATIC_INLINE void ll_dual_timer_disable_ioa_act_c1_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Disable dual_timer action interrupt when timer value meets to COUNT_A1IO.

Register|BitsName --------|-------- CTRL | IOA_ACT_C1_INTEN

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 1836 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_disable_ioa_act_c2_it()

__STATIC_INLINE void ll_dual_timer_disable_ioa_act_c2_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Disable dual_timer action interrupt when timer value meets to COUNT_A2IO.

Register|BitsName --------|-------- CTRL | IOA_ACT_C2_INTEN

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 1881 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_disable_iob_act_c1_it()

__STATIC_INLINE void ll_dual_timer_disable_iob_act_c1_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Disable dual_timer action interrupt when timer value meets to COUNT_B1IO.

Register|BitsName --------|-------- CTRL | IOB_ACT_C1_INTEN

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 2016 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_disable_iob_act_c2_it()

__STATIC_INLINE void ll_dual_timer_disable_iob_act_c2_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Disable dual_timer action interrupt when timer value meets to COUNT_B2IO.

Register|BitsName --------|-------- CTRL | IOB_ACT_C2_INTEN

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 2061 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_disable_ioc_act_c1_it()

__STATIC_INLINE void ll_dual_timer_disable_ioc_act_c1_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Disable dual_timer action interrupt when timer value meets to COUNT_C1IO.

Register|BitsName --------|-------- CTRL | IOC_ACT_C1_INTEN

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 2106 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_disable_ioc_act_c2_it()

__STATIC_INLINE void ll_dual_timer_disable_ioc_act_c2_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Disable dual_timer action interrupt when timer value meets to COUNT_C2IO.

Register|BitsName --------|-------- CTRL | IOC_ACT_C2_INTEN

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 2151 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_disable_it()

__STATIC_INLINE void ll_dual_timer_disable_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Disable dual_timer interrput.

Register|BitsName --------|-------- CTRL | INTEN

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 1746 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_enable_act_period_it()

__STATIC_INLINE void ll_dual_timer_enable_act_period_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Enable dual_timer action interrupt when timer value meets to 0.

Register|BitsName --------|-------- CTRL | ACT_PERIOD_INTEN

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 1911 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_enable_act_start_it()

__STATIC_INLINE void ll_dual_timer_enable_act_start_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Enable dual_timer action interrupt when timer start.

Register|BitsName --------|-------- CTRL | ACT_START_INTEN

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 1776 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_enable_act_stop_it()

__STATIC_INLINE void ll_dual_timer_enable_act_stop_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Enable dual_timer action interrupt when timer stop.

Register|BitsName --------|-------- CTRL | ACT_STOP_INTEN

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 1956 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_enable_ble_pulse1_it()

__STATIC_INLINE void ll_dual_timer_enable_ble_pulse1_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Enable dual_timer interrupt when timer value meets to BLE_COUNT1.

Register|BitsName --------|-------- CTRL | BLEPULSE1_INTEN

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 2181 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_enable_ble_pulse2_it()

__STATIC_INLINE void ll_dual_timer_enable_ble_pulse2_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Enable dual_timer interrupt when timer value meets to BLE_COUNT2.

Register|BitsName --------|-------- CTRL | BLEPULSE2_INTEN

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 2226 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_enable_ioa_act_c1_it()

__STATIC_INLINE void ll_dual_timer_enable_ioa_act_c1_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Enable dual_timer action interrupt when timer value meets to COUNT_A1IO.

Register|BitsName --------|-------- CTRL | IOA_ACT_C1_INTEN

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 1821 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_enable_ioa_act_c2_it()

__STATIC_INLINE void ll_dual_timer_enable_ioa_act_c2_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Enable dual_timer action interrupt when timer value meets to COUNT_A2IO.

Register|BitsName --------|-------- CTRL | IOA_ACT_C2_INTEN

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 1866 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_enable_iob_act_c1_it()

__STATIC_INLINE void ll_dual_timer_enable_iob_act_c1_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Enable dual_timer action interrupt when timer value meets to COUNT_B1IO.

Register|BitsName --------|-------- CTRL | IOB_ACT_C1_INTEN

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 2001 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_enable_iob_act_c2_it()

__STATIC_INLINE void ll_dual_timer_enable_iob_act_c2_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Enable dual_timer action interrupt when timer value meets to COUNT_B2IO.

Register|BitsName --------|-------- CTRL | IOB_ACT_C2_INTEN

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 2046 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_enable_ioc_act_c1_it()

__STATIC_INLINE void ll_dual_timer_enable_ioc_act_c1_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Enable dual_timer action interrupt when timer value meets to COUNT_C1IO.

Register|BitsName --------|-------- CTRL | IOC_ACT_C1_INTEN

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 2091 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_enable_ioc_act_c2_it()

__STATIC_INLINE void ll_dual_timer_enable_ioc_act_c2_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Enable dual_timer action interrupt when timer value meets to COUNT_C2IO.

Register|BitsName --------|-------- CTRL | IOC_ACT_C2_INTEN

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 2136 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_enable_it()

__STATIC_INLINE void ll_dual_timer_enable_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Enable dual_timer interrupt.

Register|BitsName --------|-------- CTRL | INTEN

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 1731 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_is_enabled_act_period_it()

__STATIC_INLINE uint32_t ll_dual_timer_is_enabled_act_period_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Indicate whether the dual_timer action interrupt when timer value meets to 0 is enabled.

Register|BitsName --------|-------- CTRL | ACT_PERIOD_INTEN

Parameters

  DUAL_TIMERx | Timer instance

Return values

  State | of bit (1 or 0).

Definition at line 1941 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_is_enabled_act_start_it()

__STATIC_INLINE uint32_t ll_dual_timer_is_enabled_act_start_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Indicate whether the dual_timer action interrupt when timer start is enabled.

Register|BitsName --------|-------- CTRL | ACT_START_INTEN

Parameters

  DUAL_TIMERx | Timer instance

Return values

  State | of bit (1 or 0).

Definition at line 1806 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_is_enabled_act_stop_it()

__STATIC_INLINE uint32_t ll_dual_timer_is_enabled_act_stop_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Indicate whether the dual_timer action interrupt when timer stop.

Register|BitsName --------|-------- CTRL | ACT_STOP_INTEN

Parameters

  DUAL_TIMERx | Timer instance

Return values

  State | of bit (1 or 0).

Definition at line 1986 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_is_enabled_ble_pulse1_it()

__STATIC_INLINE uint32_t ll_dual_timer_is_enabled_ble_pulse1_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Indicate whether the dual_timer interrupt when timer value meets to BLE_COUNT1 is enabled.

Register|BitsName --------|-------- CTRL | BLEPULSE1_INTEN

Parameters

  DUAL_TIMERx | Timer instance

Return values

  State | of bit (1 or 0).

Definition at line 2211 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_is_enabled_ble_pulse2_it()

__STATIC_INLINE uint32_t ll_dual_timer_is_enabled_ble_pulse2_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Indicate whether the dual_timer interrupt when timer value meets to BLE_COUNT2 is enabled.

Register|BitsName --------|-------- CTRL | BLEPULSE2_INTEN

Parameters

  DUAL_TIMERx | Timer instance

Return values

  State | of bit (1 or 0).

Definition at line 2256 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_is_enabled_ioa_act_c1_it()

__STATIC_INLINE uint32_t ll_dual_timer_is_enabled_ioa_act_c1_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Indicate whether the dual_timer action interrupt when timer value meets to COUNT_A1IO is enabled.

Register|BitsName --------|-------- CTRL | IOA_ACT_C1_INTEN

Parameters

  DUAL_TIMERx | Timer instance

Return values

  State | of bit (1 or 0).

Definition at line 1851 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_is_enabled_ioa_act_c2_it()

__STATIC_INLINE uint32_t ll_dual_timer_is_enabled_ioa_act_c2_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Indicate whether the dual_timer action interrupt when timer value meets to COUNT_A2IO is enabled.

Register|BitsName --------|-------- CTRL | IOA_ACT_C2_INTEN

Parameters

  DUAL_TIMERx | Timer instance

Return values

  State | of bit (1 or 0).

Definition at line 1896 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_is_enabled_iob_act_c1_it()

__STATIC_INLINE uint32_t ll_dual_timer_is_enabled_iob_act_c1_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Indicate whether the dual_timer action interrupt when timer value meets to COUNT_B1IO is enabled.

Register|BitsName --------|-------- CTRL | IOB_ACT_C1_INTEN

Parameters

  DUAL_TIMERx | Timer instance

Return values

  State | of bit (1 or 0).

Definition at line 2031 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_is_enabled_iob_act_c2_it()

__STATIC_INLINE uint32_t ll_dual_timer_is_enabled_iob_act_c2_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Indicate whether the dual_timer action interrupt when timer value meets to COUNT_B2IO is enabled.

Register|BitsName --------|-------- CTRL | IOB_ACT_C2_INTEN

Parameters

  DUAL_TIMERx | Timer instance

Return values

  State | of bit (1 or 0).

Definition at line 2076 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_is_enabled_ioc_act_c1_it()

__STATIC_INLINE uint32_t ll_dual_timer_is_enabled_ioc_act_c1_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Indicate whether the dual_timer action interrupt when timer value meets to COUNT_C1IO is enabled.

Register|BitsName --------|-------- CTRL | IOC_ACT_C1_INTEN

Parameters

  DUAL_TIMERx | Timer instance

Return values

  State | of bit (1 or 0).

Definition at line 2121 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_is_enabled_ioc_act_c2_it()

__STATIC_INLINE uint32_t ll_dual_timer_is_enabled_ioc_act_c2_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Indicate whether the dual_timer action interrupt when timer value meets to COUNT_C2IO is enabled.

Register|BitsName --------|-------- CTRL | IOC_ACT_C2_INTEN

Parameters

  DUAL_TIMERx | Timer instance

Return values

  State | of bit (1 or 0).

Definition at line 2166 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_is_enabled_it()

__STATIC_INLINE uint32_t ll_dual_timer_is_enabled_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Indicate whether the dual_timer interrput is enabled.

Register|BitsName --------|-------- CTRL | INTEN

Parameters

  DUAL_TIMERx | Timer instance

Return values

  State | of bit (1 or 0).

Definition at line 1761 of file gr533x_ll_dual_tim.h.